package model;

public class Procesor implements Komponenta {

    private double prodajnaCena;
    private String specifikacija;
    private String dobavljac;
    private double radniTaktUGHz;

    public Procesor(double prodajnaCena, String specifikacija, String dobavljac, double radniTaktUGHz) {
        this.prodajnaCena = prodajnaCena;
        this.specifikacija = specifikacija;
        this.dobavljac = dobavljac;
        this.radniTaktUGHz = radniTaktUGHz;
    }

    public double dajProdajnuCenu() {
        return prodajnaCena;
    }

    public String dajSpecifikaciju() {
        return specifikacija + "[" + radniTaktUGHz + "GHz]";
    }

    public String dajDobavljaca() {
        return dobavljac;
    }

    public double dajRadniTaktUGHz() {
        return radniTaktUGHz;
    }

    @Override
    public String toString() {
        return "Procesor: " + dajSpecifikaciju() + ", " + dajProdajnuCenu() + ", " + dajDobavljaca() + ", " + dajRadniTaktUGHz();
    }

}
